## EvNavigationActionWidget EvNavigationActionWidget |

## Functions

#define | EV_NAVIGATION_ACTION_WIDGET()
GType | ev_navigation_action_widget_get_type ()
void | ev_navigation_action_widget_set_menu ()

## Signals

void | show-menu | Run First

## Types and Values

#define | EV_TYPE_NAVIGATION_ACTION_WIDGET
struct | EvNavigationActionWidget
struct | EvNavigationActionWidgetClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkToolItem
                            ╰── GtkToolButton
                                ╰── GtkToggleToolButton
                                    ╰── EvNavigationActionWidget

## Implemented Interfaces

EvNavigationActionWidget implements AtkImplementorIface, GtkBuildable, GtkActivatable and GtkActionable.

## Description

## Functions

### EV_NAVIGATION_ACTION_WIDGET()

    #define EV_NAVIGATION_ACTION_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), EV_TYPE_NAVIGATION_ACTION_WIDGET, EvNavigationActionWidget))

### ev_navigation_action_widget_get_type ()

    GType
    ev_navigation_action_widget_get_type (void);

### ev_navigation_action_widget_set_menu ()

    void
    ev_navigation_action_widget_set_menu (EvNavigationActionWidget *widget,
                                          GtkWidget *menu);

## Types and Values

### EV_TYPE_NAVIGATION_ACTION_WIDGET

    #define EV_TYPE_NAVIGATION_ACTION_WIDGET (ev_navigation_action_widget_get_type ())

### struct EvNavigationActionWidget

    struct EvNavigationActionWidget;

### struct EvNavigationActionWidgetClass

    struct EvNavigationActionWidgetClass {
    	GtkToggleToolButtonClass parent_class;

    	void  (*show_menu) (EvNavigationActionWidget *widget);
    };

## Signal Details

### The `“show-menu”` signal

    void
    user_function (EvNavigationActionWidget *evnavigationactionwidget,
                   gpointer                  user_data)

Flags: Run First